Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class SchemaRef

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.SchemaRef

All Implemented Interfaces:
  java.io.Serializable

    public class SchemaRef

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: SchemaRef.java,v 1.5 2009/01/19 14:12:30 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`SchemaRef()`

Method Summary
`void` | `deleteMain()`
`java.lang.String` | `getBaseUrl()` Returns the value of field 'baseUrl'.
`boolean` | `getMain()` Returns the value of field 'main'.
`java.lang.String` | `getTargetNamespace()` Returns the value of field 'targetNamespace'.
`java.lang.String` | `getType()` Returns the value of field 'type'.
`java.lang.String` | `getUri()` Returns the value of field 'uri'.
`boolean` | `hasMain()` Method hasMain.
`boolean` | `isMain()` Returns the value of field 'main'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setBaseUrl(java.lang.String baseUrl)` Sets the value of field 'baseUrl'.
`void` | `setMain(boolean main)` Sets the value of field 'main'.
`void` | `setTargetNamespace(java.lang.String targetNamespace)` Sets the value of field 'targetNamespace'.
`void` | `setType(java.lang.String type)` Sets the value of field 'type'.
`void` | `setUri(java.lang.String uri)` Sets the value of field 'uri'.
`static SchemaRef` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaRef

    public SchemaRef()

Method Detail

### deleteMain

    public void deleteMain()

### getBaseUrl

    public java.lang.String getBaseUrl()

  Returns the value of field 'baseUrl'.

  Returns:
    the value of field 'BaseUrl'.

### getMain

    public boolean getMain()

  Returns the value of field 'main'.

  Returns:
    the value of field 'Main'.

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Returns the value of field 'targetNamespace'.

  Returns:
    the value of field 'TargetNamespace'.

### getType

    public java.lang.String getType()

  Returns the value of field 'type'.

  Returns:
    the value of field 'Type'.

### getUri

    public java.lang.String getUri()

  Returns the value of field 'uri'.

  Returns:
    the value of field 'Uri'.

### hasMain

    public boolean hasMain()

  Method hasMain.

  Returns:
    true if at least one Main has been added

### isMain

    public boolean isMain()

  Returns the value of field 'main'.

  Returns:
    the value of field 'Main'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setBaseUrl

    public void setBaseUrl(java.lang.String baseUrl)

  Sets the value of field 'baseUrl'.

  Parameters:
    `baseUrl` - the value of field 'baseUrl'.

### setMain

    public void setMain(boolean main)

  Sets the value of field 'main'.

  Parameters:
    `main` - the value of field 'main'.

### setTargetNamespace

    public void setTargetNamespace(java.lang.String targetNamespace)

  Sets the value of field 'targetNamespace'.

  Parameters:
    `targetNamespace` - the value of field 'targetNamespace'.

### setType

    public void setType(java.lang.String type)

  Sets the value of field 'type'.

  Parameters:
    `type` - the value of field 'type'.

### setUri

    public void setUri(java.lang.String uri)

  Sets the value of field 'uri'.

  Parameters:
    `uri` - the value of field 'uri'.

### unmarshal

    public static SchemaRef unmarshal(java.io.Reader reader)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.SchemaRef
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD